# Contributing to SMAM

Contributions are more than welcome! There are several ways to get involved:

## Bug reporting

If you notice a bug while using SMAM, please open an [issue](https://github.com/babolivier/smam/issues) giving as much info as you can on your use of SMAM (without giving sensitive data, such as your full config file) that could be relevant for fixing this it.

## Translation

Since [v2.0.0](https://github.com/babolivier/smam/tree/v2.0.0), SMAM can be used in different languages depending on its configuration. However, it is still limited to the languages for which it has translations!

If you want to help out by prividing translations in a language you know, you can do so by forking this repo, copying the file at [`locales/en.json`](https://github.com/babolivier/smam/blob/master/locales/en.json) somewhere, and translating the strings (only the ones on the right of the colon (:), the ones on the left with underscores (\_) are identifiers). If you haven't already done it, move and/or rename your file so it is located in the `locales` directory and is named `xx.json`, `xx` being the two-letter code for the language.

Then send us your new translation by opening a [pull request](https://github.com/babolivier/smam/pulls)!

## Code

If you want to fix a bug, implement a cool feature or add some optimisation to SMAM, feel free to open a [pull request](https://github.com/babolivier/smam/pulls)!

However, if you feel like you're up against a huge task, or just doesn't know where to start, don't hesitate to [open an issue](https://github.com/babolivier/smam/issues) so a SMAM contributor can help you out :smile:

## Anything else

The beauty of free software is that everyone can contribute in their own way! If you want to share a contribution that doesn't fit in the cases mentionned above (e.g. improvements on the contribution process, sharing a blog post about SMAM, etc), please [open an issue](https://github.com/babolivier/smam/issues)! It's the best way to get your stuff noticed and to start a conversation about it :grin:

# Licensing

SMAM is provided under the [AGPL v3](https://github.com/babolivier/smam/blob/master/LICENSE) license. Every contribution adding up to SMAM's repository must be released under this license.

